## NAME

v.in.dlg - Converts an ASCII USGS DLG-3 Optional file to a binary GRASS vector (`dig`) file.
(GRASS Vector Data Import Program)

## SYNOPSIS

v.in.dlg
v.in.dlg help
v.in.dlg [-l] input=name output=name [matt=name] [base=val]

## DESCRIPTION

This program converts an ASCII USGS DLG-3 (dlg) file into a binary GRASS vector (`dig`) file. Store the DLG-file into $LOCATION/dlg/ (create this directory, if not there) before importing.

Warning: The program reads DLG-3 Optional format only.

v.in.dlg also creates a `dig_att` file containing the label information 'stripped' from the DLG-3 file (the first minor attribute for each record unless matt is specified).

If the matt is specified, v.in.dlg creates an additional attribute file containing identifiers for every record with correspon ding multiple attributes. In this case matt file contains identifiers starting with base base for the attributes stored in matt file (as opposed to the first minor attributes with no matt file). The example of matt with base = 34 would be:

    	34	0	0
    	35	180	201
    	36	180	208
    		170	240
    		190	201
    	37	160	220

With the corresponding dig_att looking like this:

    	A 648467.190000 4456367.320000     34
    	L 667989.290000 4458393.520000     35
    	L 651002.470000 4473793.390000     36
    	L 663816.680000 4471412.080000     37

However, the user must run v.support (or v.import option 4) on the output file created by v.in.dlg to create a `dig_plus` file containing the file topology, before using the output file in v.digit.

The user can avoid this two-step process by converting the ASCII DLG-3 file to binary GRASS vector format using option 1 of the GRASS program v.import.

## OPTIONS

### Flag:

-l
  Give precedence to line information (default is area).

### Parameters:

input=name
  Name of USGS DLG-3 Optional format input file.
output=name
  Name to be assigned to the binary GRASS vector files created.
matt=name
  Name of file with multiple attributes (optional).
base=val
  Identifier base for multiple attributes (default is 1).

If the user simply types v.in.dlg without specifying parameter values on the command line, the program will prompt the user to enter these.

## NOTES

### Area vs Line Precedence:

Some machine-processed DLG-3 files do not make the distinction between line edges and area edges. For example, in a roads map, where the desired information is line edge data, a downtown block surrounded by roads may be processed as an area. Because of this, the user is asked to choose whether to give precedence to areas or lines. If precedence is given to lines, the user should be aware that any lines that bound unlabeled areas in the DLG-3 file will be stored as line data. Any unlabeled areas would therefore be lost (this is only a concern when areas are unlabeled; labeled area information will be retained). If precedence is given to areas, lines will be stored as boundaries to areas that are unlabeled.

### Building support files with v.support:

When you run v.support you will have the option of snapping the nodes in your vector file that fall within a certain threshold of one another. WARNING: the default threshold is calculated using the scale of the original DLG-3 file. If the threshold is too high, excessive snapping may occur, destroying the file!! With v.support, the user has the option of snapping or not snapping nodes, and further, of setting a particular snapping threshold.

## SEE ALSO

v.digit, v.import, v.support

## AUTHOR

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory
Irina Kosinovsky, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $